# module RSS::Maker::SetupDefaultLanguage

### Private Instance Methods

_set_default_values() click to toggle source
Calls superclass method

    # File lib/rss/maker/base.rb, line 383
    def _set_default_values
      keep = {
        :dc_languages => dc_languages.to_a.dup,
      }
      _language = language
      if _language and
          !dc_languages.any? {|dc_language| dc_language.value == _language}
        dc_language = self.class::DublinCoreLanguages::DublinCoreLanguage.new(self)
        dc_language.value = _language.dup
        dc_languages.unshift(dc_language)
      end
      super
    ensure
      dc_languages.replace(keep[:dc_languages])
    end